Bug 827220 - plugins rest api uses deprecated (and dangerous) error_handler decorator
plugins rest api uses deprecated (and dangerous) error_handler decorator
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 18:13 EDT by Jason Connor
Modified: 2014-03-30 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:12:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2012-05-31 18:13:56 EDT
error should now be handled by the wsgi middleware and NOT by the error_handler decorator
Comment 1 Jay Dobies 2012-06-01 10:27:08 EDT
commit b8480a5a41ba980d87e27d2edde5e1a32aa7d6df
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Fri Jun 1 10:26:36 2012 -0400

    827220 - Removed old error_handler directives

src/pulp/server/webservices/controllers/gc_plugins.py
Comment 2 Jay Dobies 2012-06-29 15:06:49 EDT
In release 0.309
Comment 3 Jason Connor 2012-11-07 23:59:02 EST
This one looks good.
Comment 4 Preethi Thomas 2012-11-08 09:13:23 EST
Moving to verified as per comment#3
Comment 5 Preethi Thomas 2013-01-07 09:12:06 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.